/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.spray.tree;

import nl.cloudfarming.client.spray.SprayTaskManager;
import nl.cloudfarming.client.task.tree.TaskRootNode;
import org.netbeans.api.project.Project;
import org.netbeans.spi.project.ui.support.NodeFactory;
import org.netbeans.spi.project.ui.support.NodeFactorySupport;
import org.netbeans.spi.project.ui.support.NodeList;
import org.openide.loaders.DataFolder;
import org.openide.util.Lookup;

/**
 *
 * @author maciek
 */
@NodeFactory.Registration(projectType = TaskRootNode.FOLDER_PATH)
public class SprayTaskCategoryNodeFactory implements NodeFactory {

    @Override
    public NodeList<?> createNodes(Project project) {
        SprayTaskManager sprayTaskManager = Lookup.getDefault().lookup(SprayTaskManager.class);
        DataFolder sprayTaskFolder = DataFolder.findFolder(sprayTaskManager.getStorageFolder(project));
        return NodeFactorySupport.fixedNodeList(new SprayTaskCategoryNode(sprayTaskFolder.getNodeDelegate(), project));
    }
    
}
